#ifndef SYRosDeviceParmas_H
#define SYRosDeviceParmas_H
#include <string>
#include <ros/ros.h>
#include "SYRosTypes.h"
#define ROS_PARAM_LIST                                                                                                                                                 \
    LIST_ENTRY(tf_prefix, "Prefix added to tf frame IDs. It typically contains a trailing '_' unless empty.", std::string, std::string())                              \
    LIST_ENTRY(fps, "The FPS of the RGB and Depth cameras. Options are: 5, 7, 15, 30", int, 7)                                                                         \
    LIST_ENTRY(point_cloud_enabled, "Generate a point cloud from depth data. Requires depth_enabled", bool, true)                                                      \
    LIST_ENTRY(mapping_mode, "Mapping 1 Depth to RGB 0 RGB to Depth default 0", int, 1)

class SYRosDeviceParmas
{
public:
    // Print help messages to the console
    void Help();

    // Print the value of all parameters
    void Print();
// Parameters
#define LIST_ENTRY(param_variable, param_help_string, param_type, param_default_val) param_type param_variable;
    ROS_PARAM_LIST
#undef LIST_ENTRY
};

#endif // SYRosDeviceParmas_H